/*A MUDAR-------------------------------------------------------------------------------------------


/*GERAL-------------------------------------------------------------------------------------------*/

* {
    box-sizing: border-box; 
}

body { /*Remove a margem branca que aparece em torno de todos os frames. */
    margin: 0 auto;  
}

@font-face {
    font-family: 'back_ussr';
    src: url('../fonts/back_in_the_ussr_dl_k-webfont.woff2') format('woff2'),
         url('../fonts/back_in_the_ussr_dl_k-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'future_socialism';
    src: url('../fonts/future_socialism-webfont.woff2') format('woff2'),
         url('../fonts/future_socialism-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'sf_bold';
    src: url('../fonts/system_san_francisco_display_bold-webfont.woff2') format('woff2'),
         url('../fonts/system_san_francisco_display_bold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'sf_regular';
    src: url('../fonts/system_san_francisco_display_regular-webfont.woff2') format('woff2'),
         url('../fonts/system_san_francisco_display_regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'sf_thin';
    src: url('../fonts/system_san_francisco_display_thin-webfont.woff2') format('woff2'),
         url('../fonts/system_san_francisco_display_thin-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'sf_light';
    src: url('../fonts/system_san_francisco_display_ultralight-webfont.woff2') format('woff2'),
         url('../fonts/system_san_francisco_display_ultralight-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}


/*BARRA DE NAVEGAÇÃO-------------------------------------------------------------------------------------------*/

/*A barra de navegação e a área que ocupa*/

ul {
    background-color: rgba(25,25,25,1); 
}

ul.navigation {
    position: fixed; 
    width: 100%; 
    overflow: hidden; 
    margin: 0; 
    padding: 3px;
    z-index: 999999;
    display: flex;
    align-items: center; /* horizontal */
    justify-content: center; /* vertical */
    
}

ul.navigation a {
    cursor: pointer;
}

ul.navigation li{
    list-style: none; 
}

ul.navigation li a {
    display: block;
    text-align: center;
    padding-right: 40px; 
    padding-left: 40px;
    padding-top: 5px;
    padding-bottom: 5px;
    margin: 0;
    text-decoration: none;
    transition: color 0.3s ease-in-out;
    color: white;
    font-family: 'sf_regular', 'future_socialism'; 
    font-size: 14.5px;
}

ul.navigation li a:hover {
    font-weight: bold;
}

ul.navigation li img {
    height: 33px; 
    padding-top: 2px;
    padding-bottom: 2px;
    
}

.navEZ {
    font-family: 'back_ussr', sans-serif;
}


/*SECTION BASE-------------------------------------------------------------------------------------------*/

.section {
    padding-top: 80px;
    padding-bottom: 40px;
    padding-left: 60px;
    padding-right: 60px;
    height:100%;
    background-size: cover; /*Faz as imagens cobrir toda a divisão. */
    background-attachment: fixed;
    background-position: center;
    display: flex;
    align-items: center; /* horizontal */
    justify-content: center; /* vertical */
    border:1px solid rgba(0,0,0,0);
}

/*HOME SECTION-------------------------------------------------------------------------------------------*/

.homeSection{
    background-image: url(../images/blurBackground_white.png);
    background-color: white;
}

.slogan {
    text-align: justify;
    float: left;
    margin-right: auto; 
    margin-left: auto;
    padding-left: 20px;
}

.phones1 {
    vertical-align: middle;
    margin-top: 40px;
    margin-right: auto; 
    margin-left: auto; 
    height: 90vh;
}

#phones_image{
    height: 100%;
}

.homeLogo {
    height: 2rem; 
    vertical-align: middle;
}


h1 {
    font-family: 'sf_regular', sans-serif; 
    font-size: 3.5vw; 
    color: black;
    
}

p1 {
    font-family: 'sf_thin', sans-serif; 
    font-size: 3vw;
    line-height: 3vw; 
}


/*FUNCIONALIDADES SECTION 1-------------------------------------------------------------------------------------------*/

.funcionalidadesSection1{
    padding-top: 0px;
    background-image:url(../images/blurBackground_black.png);
    background-color: black;

}

.funcText1 {
    text-align: justify;
    margin-left: 100px;
    margin-right: 100px;
    vertical-align: middle;
}

.phones2{
    padding-top:80px;
    margin-left: 80px;
    height: 100vh;
}

#phones2_image{
    height: 100%;
}

h2 {
    font-family: 'sf_regular', sans-serif; 
    font-size: 2.8vw; 
    color: white;
    
}

p2 {
    font-family: 'sf_thin', sans-serif; 
    line-height: 30px; 
    color: white;
    font-size: 1.5vw;
}

.funcLogo {
    height: 6vh;
    vertical-align: middle;
}

/*FUNCIONALIDADES SECTION 2-------------------------------------------------------------------------------------------*/

.funcionalidadesSection2{
    padding-top: 0px;
    background-image:url(../images/blurBackground_white.png);
    background-color: white;

}

.funcText2 {
    text-align: justify;
    margin-left: 100px;
    margin-right: 100px;
    vertical-align: middle;
}

.phones3{
    margin-top:80px;
    margin-right: 80px;
    vertical-align: middle; 
    height: 90vh;
}

#phones3_image{
    height: 100%;
}

h3 {
    font-family: 'sf_regular', sans-serif; 
    font-size: 3vw; 
    color: black;
    
}

p3 {
    font-family: 'sf_thin', sans-serif; 
    line-height: 30px; 
    color: black;
    font-size: 1.5vw;
}

/*FUNCIONALIDADES SECTION 3-------------------------------------------------------------------------------------------*/

.funcionalidadesSection3{
    padding-top: 0px;
    background-image:url(../images/blurBackground_black.png);
    background-color: black;

}

.funcText3 {
    text-align: justify;
    margin-left: 100px;
    margin-right: 100px;
    vertical-align: middle;
}

.phones4{
    padding-top:80px;
    margin-left:60px;
    height: 100vh;
}

#phones4_image{
    height: 100%;
}

h4 {
    font-family: 'sf_regular', sans-serif; 
    font-size: 3.5vw; 
    color: white;
    
}

p4 {
    font-family: 'sf_thin', sans-serif; 
    line-height: 30px; 
    color: white;
    font-size: 1.5vw;
}

/*FUNCIONALIDADES SECTION 4-------------------------------------------------------------------------------------------*/

.funcionalidadesSection4{
    padding-top: 0px;
    background-image:url(../images/blurBackground_white.png);
    background-color: white;

}

.funcText4 {
    text-align: justify;
    margin-left: 100px;
    margin-right: 100px;
    vertical-align: middle;
}

.phones5{
    padding-top:80px;
    margin-right:60px;
    height: 100vh;
}

#phones5_image{
    height: 100%;
}

h5 {
    font-family: 'sf_regular', sans-serif; 
    font-size: 3.5vw; 
    color: black;
    
}

p5 {
    font-family: 'sf_thin', sans-serif; 
    line-height: 30px; 
    color: black;
    font-size: 1.5vw;
}

/*DOWNLOAD SECTION-------------------------------------------------------------------------------------------*/

.downloadSection{
    background-image: url(../images/blurBackground_black.png);
    background-color: black;
    height: auto;
    flex-direction: column;
}

.downloadText {
    text-align: center;
    position: relative;
    top: -60px;
    vertical-align: middle;
}

.downloadBackground {
    height: 20vh;
}

#bg_image{
    height: 100%;
}

h6 {
    font-family: 'sf_regular', sans-serif; 
    font-size: 3.5vw; 
    color: white;
}

p6 {
    font-family: 'sf_thin', sans-serif; 
    line-height: 30px; 
    color: white;
    font-size: 1vw;
}

.downloadSubtitle {
    font-family: 'sf_thin', sans-serif; 
    line-height: 30px; 
    color: white;
    font-size: 1.5vw;
}



.apple_store, .play_store {
    position: relative;
    top:-70px;
    height: 6vw;
    
}

.apple_store:hover, .play_store:hover {
    height: 7.1vw; 
}

#play_store {
    height: 100%;
    margin:10px;
}

#apple_store {
    height: 100%; 
    margin:10px;
}



/*SOBRE SECTION-------------------------------------------------------------------------------------------*/

.sobreSection{
    background-image: url(../images/blurBackground_white.png);
    background-color: white;
}

.sobreText {
    text-align: justify;
}

.sobreTitle {
    text-align: center;
}

h7 {
    font-family: 'sf_regular', sans-serif; 
    font-size: 4vw; 
    color: black;
}

p7 {
    font-family: 'sf_thin', sans-serif; 
    line-height: 50px; 
    color: black;
    font-size: 2vw;
}

.about_image {
    height: 100vh;
    vertical-align: middle;
    margin-bottom:200px;    
}

#about_img {
    height: 100%;
}

/*END SECTION-------------------------------------------------------------------------------------------*/

.endSection {
    background-color: rgba(25,25,25,1);
    height: auto;
    padding: 20px;
    padding-top: 40px;
    padding-bottom: 40px;
}

.end_image {
    vertical-align: middle;
    height: 2rem;
}

#end_img {
    height: 100%;
}

.contactText {
    text-decoration: none;
    color: white;
}

.contactText:hover {
    transition: color 0.3s ease-in-out;
    color: red;
}




/*RESTRUTURAR SITE QUANDO FOR MENOR QUE X PIXEIS-------------------------------------------------------------------------------------------*/

@media screen and (max-width: 1100px){

    ul.navigation {
        position: relative;
    }
    
    ul.navigation li a{
        font-size: 12px; 
        padding-left: 5px;
        padding-right: 5px;
            
    }
    
    .navEZ {
        font-size: 14.5px;
    }
    
    .section {
        height: auto;
        width: auto;
        flex-direction: column;
        text-align: center;  
        padding: 20px;
    }
    
    .slogan {
        text-align: center;
    }
    
    .funcText1{
        text-align: center;
        margin-left: 20px;
        margin-right: 20px;
        vertical-align: middle;
    }
    
    .phones1 {
        margin-top: 20px;
        height:45vh;  
    }
    
    .homeLogo {
        height: 5vw; 
    }
    
    h1 {
        font-size: 6vw; 
    }

    p1 {
        font-size: 4vw;
    }
    
    .phones2 {
        margin: 0px;
        margin-top: 20px;
        padding-top: 0px;
        width: 100%;
    }
    
    .funcText2 {
        text-align: center;
        margin-left: 20px;
        margin-right: 20px;
        vertical-align: middle;
    }
    
    
    .funcLogo {
        heighT: 5vw; 
    }
    
    h2 {
        font-size: 4vw; 
    }

    p2 {
        font-size: 3vw;
    }
    
    .phones3 {
        margin: 0px;
        margin-top: 20px;
        width: 100%;
    }
    
    .funcText3 {
        text-align: center;
        margin-left: 20px;
        margin-right: 20px;
        vertical-align: middle;
    }
    
    h3 {
        font-size: 4vw;
    }
    
    p3 {
        font-size: 3vw;
    }
    
    .phones4 {
        margin: 0px;
        margin-top: 20px;
        padding-top: 0px;
        width: 100%;
    }
    
    .funcText4 {
        text-align: center;
        margin-left: 20px;
        margin-right: 20px;
        vertical-align: middle;
    }
    
    h4 {
        font-size: 4vw;
    }
    
    p4 {
        font-size: 3vw;
    }
    
    .phones5 {
        margin: 0px;
        margin-top: 20px;
        padding-top: 0px;
        width: 100%;
    }
    
    .funcText5 {
        text-align: center;
        margin-left: 20px;
        margin-right: 20px;
        vertical-align: middle;
    }
    
    h5 {
        font-size: 4vw;
    }
    
    p5 {
        font-size: 3vw;
    }
    
    .downloadText {
        margin-top: 20px;
    }

    .downloadBackground {
        height: 15vh;
        margin:auto;
        margin-top: 20px;
    }

    h6 {
        font-size: 5vw; 
    }

    p6 {
        font-size: 2vw;
    }

    .downloadSubtitle {
        font-size: 2vw;
    }

    .apple_store, .play_store {
        margin-top: 20px;
        position: relative;
        top:-70px;
        height: 8vw;

    }

    .apple_store:hover, .play_store:hover {
        height: 8.2vw; 
    }

    #play_store {
        height: 100%;
        margin:10px;
    }

    #apple_store {
        height: 100%; 
        margin:10px;
    }

    .sobreText {
        margin-top: 20px;
        text-align: center;
    }
    
    .about_image {
        margin: 20px;
        padding: 20px;
    }

    h7 {
        font-size: 6vw; 
    }

    p7 {
        font-size: 4vw;
    }
    

    
    

    
}





